/*
 * Set the kernel logging level.  Do a "setlog 8" to make all
 * messages come out on the console.
 */

#include <stdio.h>
#include <sys/klog.h>

int main(int argc, char *argv[])
{
	int level;
	char dummy;
	if (sscanf(argv[1], "%d", &level) == 1) {
		printf("Setting level to %d\n", level);
		klogctl(8, &dummy, level);
	}
	return 0;
}

/*
 * Local Variables:
 * mode:c
 * tab-width:4
 * eval:(c-set-style "k&r")
 * c-basic-offset:4
 * End:
 */
